<?php get_header(); ?>

<div id="content" class="list">
	<div class="post">
		<div class="entry">
			<h2 class="aligncenter">
				<?php _e('Page Not Found. Try search?'); ?>
			</h2>
			<p>
				<?php _e('Please make sure you entered a valid URL. Or you can try searching our site'); ?>
			</p>
			<form id="noresults-searchform" method="get" action="<?php bloginfo('home') ?>">
				<div>
					<input id="noresults-s" class="text-input" name="s" type="text" value="<?php the_search_query() ?>" size="40" />
					<input id="noresults-searchsubmit" class="submit-button" name="searchsubmit" type="submit" value="<?php _e('Search'); ?>" />
				</div>
			</form>
			<h2>
				<?php _e('Here I recommend you some of my latest posts'); ?>
			</h2>
			<ol>
				<?php $my_query = new WP_Query('showposts=8');
  while ($my_query->have_posts()) : $my_query->the_post();
  $do_not_duplicate = $post->ID; ?>
				<li> <a href="<?php the_permalink() ?>" title="Permanent Link to <?php the_title_attribute(); ?>" rel="bookmark">
					<?php the_title() ?>
					</a> </li>
				<?php endwhile; ?>
			</ol>
		</div>
	</div>
</div>
<?php get_sidebar(); ?>
<div style="clear:both"></div>
<?php get_footer(); ?>
