<?php
	if (isset($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');
	
	if ( post_password_required() ) { ?>

<p class="nocomments">
  <?php _e('This post is password protected. Enter the password to view comments.'); ?>
</p>
<?php
		return;
	}
?>
<?php
		$trackbacks = $comments_by_type['pings'];
 ?>
<?php if ($comments || comments_open()) : ?>
<h4 class="comments"> <span class="alignleft">
  <?php comments_number('No Responses','One Response','% Responses');?>
  </span>
  <?php if ( comments_open() ) ?>
  <a href="#respond" title="<?php _e('Go to respond'); ?>">Leave a comment</a> </h4>
<?php
		if ($comments && count($comments) - count($trackbacks) > 0 ) 
		{
?>
<div id="commentlist">
  <!-- comments START -->
  <ul id="thecomments">
    <?php wp_list_comments('type=comment&callback=custom_comments');?>
  </ul>
  <?php
	if (get_option('page_comments')) {
		$comment_pages = paginate_comments_links('echo=0');
		if ($comment_pages) {
?>
  <div class="navigation">
    <?php _e('Comment pages'); ?>
    <span><?php echo $comment_pages; ?></span> <span id="cp_post_id"><?php echo $post->ID; ?></span> </div>
  <?php }  }?>
</div>
<?php
		}
?>
<?php endif; ?>
<?php if ( comments_open() ) : ?>
<div id="respond">
  <h3>
    <?php _e('Leave a Reply'); ?>
  </h3>
  <div id="cancel-comment-reply"> <small>
    <?php cancel_comment_reply_link() ?>
    </small> </div>
	<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
<p><?php printf('You must be <a href="%s">logged in</a> to post a comment.', wp_login_url( get_permalink() )); ?></p>
<?php else : ?>

  <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
    <div id="text_comment">
      <textarea name="comment" cols="50" rows="12" id="comment" tabindex="1"></textarea>
    </div>
    <div id="autinfo">
      <?php if ( is_user_logged_in() ) : ?>
      <p> <?php printf(__('Logged in as <a href="%1$s">%2$s</a>.'), get_option('siteurl') . '/wp-admin/profile.php', $user_identity); ?> <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="<?php _e('Log out of this account'); ?>">
        <?php _e('Log out &raquo;'); ?>
        </a></p>
      <?php else : ?>
      <div>
        <label for="author"><small>
        <?php _e('Name'); ?>
        <?php if ($req) _e('required'); ?>
        </small></label>
      </div>
      <div>
        <input type="text" name="author" id="author" value="<?php echo esc_attr($comment_author); ?>" size="15" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
      </div>
      <div>
        <label for="email"><small> <span style="border-bottom:1px dashed #CCCCCC; color:#0099FF;"  title="will not be published">
        <?php _e('E-Mail'); ?>
        </span>
        <?php if ($req) _e('required'); ?>
        </small></label>
      </div>
      <div>
        <input type="text" name="email" id="email" value="<?php echo esc_attr($comment_author_email); ?>" size="15" tabindex="3" <?php if ($req) echo "aria-required='true'"; ?> />
      </div>
      <div>
        <label for="url"><small>
        <?php _e('Website'); ?>
        </small></label>
      </div>
      <div>
        <input type="text" name="url" id="url" value="<?php echo  esc_attr($comment_author_url); ?>" size="15" tabindex="4" />
      </div>
      <?php endif; ?>
      <p>
        <input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Submit Comment'); ?>" />
        <?php comment_id_fields(); ?>
      </p>
    </div>
    <div id="extrainfo"><?php do_action('comment_form', $post->ID); ?></div>
  </form>
  <?php endif ?>

</div>
<?php else : ?>
<p class="nocomments">
  <?php _e('Comments are closed.'); ?>
</p>
<?php endif; ?>
<!-- trackbacks START -->
<?php if ($trackbacks) : $trackbackcount = 0; ?>
<div id="trackbacks">
  <h4 class="trackback"> <span class="alignleft">
    <?php _e('Trackbacks'); ?>
    (<?php echo count($trackbacks);?>)
    <?php if(pings_open()) : ?>
    <a rel="nofollow" href="<?php trackback_url(); ?>">
    <?php _e('Make a trackback'); ?>
    </a>
    <?php endif; ?>
    </span> <a href="javascript:void();" onClick="folder(thetrackback)">
    <?php _e('Click to see'); ?>
    </a> </h4>
  <div id="thetrackback" style="display:none">
    <ol id="thetrackbacks">
      <?php foreach ($trackbacks as $comment) : ?>
      <li class="trackback"> <a href="<?php comment_author_url() ?>">
        <?php comment_author(); ?>
        </a> </li>
      <?php endforeach; ?>
    </ol>
  </div>
</div>
<?php endif; ?>
