<?php
/*
Template Name: Page without sidebar
*/
?>
<?php get_header(); ?>
<div id="pagecontent">
  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
  <div class="post" id="post-<?php the_ID(); ?>">
    <h1 class="pagetitle">
      <?php the_title(); ?>
    </h1>
    <div class="entry">
      <?php the_content('<p class="serif">' . _e('Read more &raquo;') . '</p>'); ?>
      <?php wp_link_pages(array('before' => '<p><strong>' . _e('Pages:') . '</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
    </div>
  </div>
  <?php endwhile; endif; ?>
  <?php edit_post_link(_e('Edit'), '<p>', '</p>'); ?>
  <div id="comments">
    <?php comments_template(); ?>
  </div>
</div>
<?php get_footer(); ?>