<?php get_header(); ?>

<div id="content">
  <?php if (have_posts()) : ?>
  <h2 class="pagetitle">
    <?php _e('Search Results'); ?>
  </h2>
  <?php while (have_posts()) : the_post();  ?>
  <div class="post">
    <h3 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link to'); ?> <?php the_title(); ?>">
      <?php the_title(); ?>
      </a></h3>
    <div class="entry">
      <?php the_content('&raquo; Read the rest of this entry'); ?>
    </div>
    <p class="postmeta">
      <?php the_time('F j, Y') ?>
      &#183;
      <?php _e('Cat '); ?>
      <?php the_category(', ') ?>
      <?php edit_post_link(__('Edit'), ' &#183; ', ''); ?>
      |
      <?php comments_popup_link('No Comments', '1 Comment', '% Comments');?>
      &#183;
      <?php if(function_exists('the_views')) { the_user_views(' View(s) ', true);} ?>
    </p>
  </div>
  <?php endwhile; ?>
  <div id="post_navigation">
    <?php if(function_exists('wp_pagenavi'))  { wp_pagenavi();} else { ?>
    <span class="left">
    <?php next_posts_link('&laquo; Older Entries') ?>
    </span> <span class="right">
    <?php previous_posts_link('Newer Entries &raquo;') ?>
    </span>
    <div style="clear:both;"></div>
    <?php } ?>
  </div>
  <?php else : ?>
  <div class="post">
    <div class="entry">
      <h2>
        <?php _e('No posts found. Try a different search?'); ?>
      </h2>
      <?php get_search_form(); ?>
    </div>
  </div>
  <?php endif; ?>
</div>
<?php get_sidebar(); ?>
<div style="clear:both"></div>
<?php get_footer(); ?>
