<?php get_header(); ?>

<div id="content">
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	<div id="postpath"> <a href="<?php echo get_option('home'); ?>/">
		<?php _e('Home'); ?>
		</a> &raquo;
		<?php the_category(', ') ?>
	</div>
	<div class="post">
		<h1 class="posttitle">
			<?php the_title(); ?>
		</h1>
		<div class="entry">
			<?php the_content('Read More &raquo;'); ?>
			<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
			<p><?php _e('Tags:'); ?>
		<?php the_tags('', ', ', ''); ?></p>
		</div>
	</div>
	<div class="postmeta">
		<?php the_time('F j, Y') ?>
		&#183;
		<?php comments_popup_link('No Comments', '1 Comment', '% Comments');?>
		&#183;
		<?php if(function_exists('the_views')) { the_user_views(' View(s) ', true);} ?>
		<?php edit_post_link(__('Edit'), ' &#183; ', ''); ?>
	</div>
	<div id="postnavi"> <span class="alignleft">
		<?php previous_post_link('&laquo; %link') ?>
		</span> <span class="alignright">
		<?php next_post_link('%link &raquo;') ?>
		</span> </div>
		
	<?php
	if(function_exists('st_related_posts')) {
	echo '<div id="related_posts">';
	st_related_posts();
	echo '</div>';
	}
	?>
	<div id="comments">
		<?php comments_template('', true); ?>
	</div>
	<?php endwhile; else: ?>
	<p>Page not found!</p>
	<form id="noresults-searchform" method="get" action="<?php bloginfo('home') ?>">
		<div>
			<input id="noresults-s" class="text-input" name="s" type="text" value="<?php the_search_query() ?>" size="40" />
			<input id="noresults-searchsubmit" class="submit-button" name="searchsubmit" type="submit" value="<?php _e('Search'); ?>" />
		</div>
	</form>
	<?php endif; ?>
</div>
<?php get_sidebar(); ?>
<div style="clear:both"></div>
<?php get_footer(); ?>
