<?php
	$options = get_option('simple_options');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="robots" content="index,follow" /> 
<title>
<?php wp_title('-', true, 'right'); ?>
<?php bloginfo('name'); ?>
</title>
<style type="text/css" media="screen">
		@import url( <?php bloginfo('stylesheet_url'); ?> );
</style>
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php if(is_singular()) wp_enqueue_script( 'comment-reply' ); ?>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/common.js"></script>
<?php wp_head(); ?>
<?php flush(); ?>
</head>
<body>
<div id="page">
<div id="header">
	<div id="menu">
		<ul>
			<?php wp_list_pages('title_li=&sort_column=menu_order&depth=1'); ?>
			<li><?php wp_register('', ''); ?><?php wp_loginout(); ?></li>
		</ul>
	</div>
	<div id="blog-name">
		<div id="logo">
			<?php if (!is_single () && !is_page() ) {?>
			<h1><a href="<?php echo get_option('home'); ?>/" id="blog-tit">
				<?php bloginfo('name'); ?>
				</a></h1>
			<?php } else {?>
			<a href="<?php echo get_option('home'); ?>/" id="blog-tit">
			<?php bloginfo('name'); ?>
			</a>
			<?php } ?>
			<div id="description">
				<?php bloginfo('description'); ?>
			</div>
		</div>
	</div>
	<div id="banner">
		<?php if ($options['notice']) : ?>
		<a href="<?php echo($options['banner_link']); ?>" <?php if ($options['target']) echo "target='_blank'"; ?>><img src="<?php echo($options['banner']); ?>" alt="<?php echo($options['banner_alt']); ?>" /></a>
		<?php endif; ?>
	</div>
	<div style="clear:both"></div>
	<div id="navigation">
		<ul>
			<li><a href="<?php echo get_option('home'); ?>/">
				<?php _e('Home'); ?>
				</a></li>
			<?php wp_list_categories('depth=1&title_li=0&show_count=0&number=8&orderby=count&order=DESC');?>
		</ul>
	</div>
</div>
