<?php
	$options = get_option('simple_options');
?>
<div id="sidebar">
  <div id="topbar">
  <a href="<?php bloginfo('rss2_url'); ?>" title="Subcribe"><img src="<?php bloginfo('template_url'); ?>/images/feed.jpg" /></a>
  <?php if ($options['topbar']) : ?>
    <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('top_sidebar') ) : ?>
    <div id="search">
      <form method="get" id="searchform" action="<?php echo get_option('home'); ?>/" >
        <div>
          <input name="s" type="text" id="s" value="" size="27" />
          <input type="submit" id="searchsubmit" value="<?php _e('Search'); ?>" />
        </div>
      </form>
    </div>
    <?php if(function_exists('get_mostpopular'))   {get_mostpopular('header="Popular Posts"&pages=0&stats_views=1&stats_comments=0&limit=6');} else { ?>
    <h2>
      <?php _e('Popular Posts'); ?>
    </h2>
    <ul>
      <?php most_popular_posts(); ?>
    </ul>
    <?php } ?>
    <?php if (is_home()&&function_exists('wp_recentcomments')) { ?>
    <h2>
      <?php _e('Recent Comments'); ?>
    </h2>
    <ol>
      <?php wp_recentcomments('limit=6&length=26&post=false&pingback=false&trackback=false&administrator=false'); ?>
    </ol>
    <?php } else if( is_home()&&!function_exists('wp_recentcomments'))  { ?>
    <h2>
      <?php _e('Recent Comments'); ?>
    </h2>
    <ol>
      <?php dp_recent_comments(8); ?>
    </ol>
    <?php } else if ( !is_home()) {?>
    <h2>
      <?php _e('Recent Posts'); ?>
    </h2>
    <ul>
      <?php $p = get_posts('numberposts=8'); foreach($p as $post) : ?>
      <li><a href= "<?php the_permalink(); ?>">
        <?php the_title(); ?>
        </a></li>
      <?php endforeach; ?>
    </ul>
    <?php } ?>
    <?php endif; ?>
  <?php endif; ?>
  </div>
  <?php if ($options['bottombar']) : ?>
  <div id="columns">
    <div id="leftsidebar">
      <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('leftsidebar') ) : ?>
      <h2>
        <?php _e('Categories'); ?>
      </h2>
      <ul>
        <?php wp_list_categories('title_li=&depth=1'); ?>
      </ul>
      <h2>
        <?php _e('Archives'); ?>
      </h2>
      <ul>
        <?php wp_get_archives('limit=15'); ?>
      </ul>
      <?php endif; ?>
    </div>
    <div id="rightsidebar">
      <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('rightsidebar') ) : ?>
      <h2>
        <?php _e('Bookmarks'); ?>
      </h2>
      <ul>
        <?php wp_list_bookmarks('title_li=&categorize=0'); ?>
      </ul>
      <?php endif; ?>
    </div>
  </div>
  <?php endif; ?>
  
</div>
